Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-20481

EAP 7 server adapter

    XMLWordPrintable

    Details

      Description

      It'd be a good idea to begin making an EAP7 / WF10 server adapter pair, or at least preparing.

      Looking at the versions of jars that we care about for management commands, Jars in EAP7 current DR3 are:

      wildfly-controller-client-2.0.0.Alpha3.jar
      wildfly-protocol-2.0.0.Alpha3.jar
      jboss-dmr-1.3.0.Final.jar
      jboss-logging-3.2.1.Final.jar
      jboss-marshalling-1.4.10.Final.jar
      jboss-marshalling-river-1.4.10.Final.jar
      jboss-marshalling-river-1.4.10.Final.jar
      jboss-remoting-4.0.9.Final.jar
      jboss-sasl-1.0.5.Final.jar
      jboss-threads-2.2.0.Final.jar
      xnio-api-3.3.1.Final.jar
      xnio-nio-3.3.1.Final.jar

      These jars are identical to those in WF9-CR1 except for wildfly-protocol and wildfly-controller-client, which are at 1.0.0.CR1 in wf9. So wildfly-core (repository) has undergone a 'major' version bump, and is likely undergoing significant API cleanup. It would be smart to expect that we probably will require a new management plugin on our side to compensate.

      Also, it's worth noting that in WF8 / WF 8.1, these jars are actually versioned 8.0 / 8.1 respectively, and so the version has actually decreased as we've moved forward. I've brought this up on wildfly-dev, though it may be a bit late since WF is already ar RC3.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  rob.stryker Rob Stryker
                  Reporter:
                  rob.stryker Rob Stryker
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: